#!/usr/bin/perl



do 'lib.pl';

my $idx = $in{'idx'};
my $src = $in{'src'};
my $dst = $in{'dst'};
my $service = $in{'service'};
my $port = $in{'port'};
my $active = $in{'active'};

if( $in{'delete'} ) {
	# delete rule
	$whatfailed = 'Fail to delete Rule';
	$fw->DeleteRule( $idx );
} else {
	if( $in{'new'} ) {
		$whatfailed = 'Fail to create new Rule';
	} else {
		$whatfailed = 'Fail to save Rule';
	}

	if( $port ne '' && ($port < 0 || $port > 65535) ) {
		error( 'Wrong Port value (0-65535 or empty)' );
	}

	$fw->AddRule( $in{'new'} ? 0 : $idx, $src, $dst, $service, $port, $active );
}

$fw->SaveFirewall();
redirect( 'rules.cgi' );









